from practicum import McuBoard

RQ_SET_LED    = 0
RQ_GET_SWITCH = 1
RQ_GET_LIGHT  = 2

####################################
class PeriBoard(McuBoard):

    ################################
    def setLed(self, led_no, led_val):
        self.usbWrite(4, index=led_no, value=led_val)

    def setLedValue(self, value):
        i = 0
        while i < 3 :
            self.usbWrite(4, index=i, value=value%2)
            value /= 2
            i = i + 1
        
    ################################
    def getSwitch_1(self):
        return self.usbRead(0, length=1)[0]

    def getSwitch_2(self):
        return self.usbRead(1, length=2)[0] + self.usbRead(1, length=2)[1] * 256
    ################################
    def getLight(self):
        return self.usbRead(2, length=2)[0] + self.usbRead(2, length=2)[1] * 256
    def getDistance(self):
        return self.usbRead(3, length=2)[0] + self.usbRead(3, length=2)[1] * 256